#! /bin/sh /usr/share/dpatch/dpatch-run
## 01_fix_doc_parameter_type.dpatch by Maximilian Wilhelm <max@rfc2324.org>
##
## DP: Fix doc parameter

@DPATCH@

--- a/lib/Linux/KernelSort.pm
+++ b/lib/Linux/KernelSort.pm
@@ -31,7 +31,7 @@
                       '2.6.18-mm1',
                       '2.6.18-rc2-mm1' ];
 
-  my @sorted_list = $kernel->sort($kernel_list);
+  my @sorted_list = $kernel->sort(@kernel_list);
 
   print "@sorted_list";
 
